Main Page Groups Namespaces

# sigc::bound_argument<reference_wrapper<T_wrapped>> Class Template Reference

bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by reference, specialized for reference_wrapper<> types. More...

List of all members.

## Public Member Functions

| bound_argument (const reference_wrapper<T_wrapped>& _A_argument)
| Constructor.
const limit_reference<T_wrapped>& | visit () const
| Retrieve the entity to visit in visit_each().
T_wrapped& | invoke ()
| Retrieve the entity to pass to the bound functor or return.

## Detailed Description

### template <class T_wrapped>
class sigc::bound_argument< reference_wrapper< T_wrapped > >

bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by reference, specialized for reference_wrapper<> types.

T_wrapped The type of the bound argument.

## Member Function Documentation

template <class T_wrapped>
sigc::bound_argument<reference_wrapper<T_wrapped>>::bound_argument | ( | const reference_wrapper<T_wrapped>& | _A_argument | ) | `[inline]`

Constructor.

Parameters:

  | _A_argument | The argument to bind.

template <class T_wrapped>
T_wrapped& sigc::bound_argument<reference_wrapper<T_wrapped>>::invoke | ( |  | ) | `[inline]`

Retrieve the entity to pass to the bound functor or return.

Returns:
  The bound argument.

template <class T_wrapped>
const limit_reference<T_wrapped>& sigc::bound_argument<reference_wrapper<T_wrapped>>::visit | ( |  | ) | const`[inline]`

Retrieve the entity to visit in visit_each().

Returns:
  The limited_reference to the bound argument.

The documentation for this class was generated from the following file:

- bound_argument.h